Kodi 18 Stretch

Have some feedback, questions, suggestions, or just fancy a chat? Pop it in here.
Post Reply
derders
Posts: 8
Joined: Wed Feb 27, 2019 2:26 pm

Kodi 18 Stretch

Post by derders »

Hi support and members,

I use Dietpi on my Raspberry and noticed that Kodi 18.1 Final is available for Stretch.
But on Github I read statements that Kodi 18 will be implemented on Buster (only).
Why not in Stretch if it is available?

apt-cache policy kodi
kodi:
Installiert: 2:17.6-3~stretch
Installationskandidat: 2:18.1-1~stretch
Versionstabelle:
2:18.1-1~stretch 500
500 https://archive.raspberrypi.org/debian stretch/main armhf Packages
*** 2:17.6-3~stretch 100
100 /var/lib/dpkg/status
2:17.1+dfsg1-3 500
500 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages

on raspberry forum Rascas has updated the thread https://www.raspberrypi.org/forums/view ... 6&t=192499



would there be a problem if I do an apt-get upgrade on DietPi? any difference/modifications on the versions?
User avatar
MichaIng
Site Admin
Posts: 2293
Joined: Sat Nov 18, 2017 6:21 pm

Re: Kodi 18 Stretch

Post by MichaIng »

Note that Kodi due to it's hardware/firmware requirements is shipped differently on different devices. In the official Debian repo, Kodi 18 is not even available for Buster yet: https://packages.debian.org/buster/kodi
But on RPi (Raspbian) this might be different. As you already have the APT upgrade available, simply try it out. At best, do a dietpi-backup before, so you are able to revert if anything does not work.

Report back, how it works. Possibly the new version conflicts with e.g. X.org settings that DietPi ships, so in case we need to check and update them for RPi to match new Kodi.
User avatar
MichaIng
Site Admin
Posts: 2293
Joined: Sat Nov 18, 2017 6:21 pm

Re: Kodi 18 Stretch

Post by MichaIng »

@derders
Hmm which repo do you use to have Kodi 18 offered via APT?? My RPi runs on Debian Buster and latest Kodi is v17.6 there as well, same as in Debian repo :?. Would be strange if on Stretch Kodi 18 would be available, but not on Buster...

Code: Select all

2019-02-27 21:55:27 root@micha:/tmp# apt-cache policy kodi
kodi:
  Installed: (none)
  Candidate: 2:17.6+dfsg1-4
  Version table:
     2:17.6+dfsg1-4 500
        500 https://ftp.gwdg.de/pub/linux/debian/raspbian/raspbian buster/main armhf Packages
derders
Posts: 8
Joined: Wed Feb 27, 2019 2:26 pm

Re: Kodi 18 Stretch

Post by derders »

@MichaIng

my source.list entry

####### MAIN STRETCH #######
deb http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi

####### Source repository #######
deb-src http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi



and I did it and it installed without problem (for Kodi install)
+ apt-get install kodi-pvr-iptvsimple kodi-inputstream-rtmp kodi-inputstream-adaptive
after reboot I had to set resolution back to full-hd and it works.


but I have a problem with my custom keymap that seems to be not recognized in newer Kodi
(use a harmony remote with keyboard presses for long-press)

for this I need to stop Kodi and run ir-keytable -t ... but if I kill Kodi it starts again.
which is the right command to do this in DietPi?

Edit: just killed it via htop
killed startkodi script and than kodi
jhorv
Posts: 10
Joined: Thu May 02, 2019 9:03 pm

Re: Kodi 18 Stretch

Post by jhorv »

For me my PVR/AddOns list is still empty (Kodi18/Stretch). I also did

apt-get install kodi-pvr-iptvsimple kodi-inputstream-rtmp

and the install proceeded normally, but when I rebooted and started Kodi still no PVR. :cry:

Any ideas?
User avatar
MichaIng
Site Admin
Posts: 2293
Joined: Sat Nov 18, 2017 6:21 pm

Re: Kodi 18 Stretch

Post by MichaIng »

Hey guys,

note that Kodi 18 is not shipped via Raspbian, but via the Raspberry Pi specific repository, containing mostly kernel, firmware and such: http://archive.raspberrypi.org/debian/
This is in your: /etc/apt/sources.list.d/raspi.list

Raspbian ships Kodi 17.1 as derived from Debian Stretch: https://packages.debian.org/stretch/kodi

This IMO causes a LOT of problems. Not only that they totally skipped any testing phase by this (usually you merge new packages into Sid first, then testing (currently Buster) and after everything is fully proven compatible you merge into stable branches), but many of the packages/modules you try to install most likely come from the Raspbian repo, thus apply to Kodi 17.1 while being incompatible with Kodi 18.

You can verify this:
apt show -a kodi-pvr-iptvsimple kodi-inputstream-rtmp kodi-inputstream-adaptive
- Check if they come from archive.raspberrypi.org or any Raspbian repo and which Kodi version they have as dependency.
Post Reply